Package org.eclipse.graphiti.util

# Interface IColorConstant

All Known Implementing Classes:
  `ColorConstant`

public interface IColorConstant
The Interface IColorConstant.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final IColorConstant`
`BLACK`
The "black" color.
`static final IColorConstant`
`BLUE`
The "blue" color.
`static final IColorConstant`
`CONNECTION_SELECTION_FG`
The foreground selection color of a connection.
`static final IColorConstant`
`CYAN`
The "cyan" color.
`static final IColorConstant`
`DARK_BLUE`
The "dark blue" color.
`static final IColorConstant`
`DARK_GRAY`
The "dark gray" color.
`static final IColorConstant`
`DARK_GREEN`
The "dark green" color.
`static final IColorConstant`
`DARK_ORANGE`
The "dark orange" color.
`static final IColorConstant`
`GRAY`
The "gray" color.
`static final IColorConstant`
`GREEN`
The "green" color.
`static final IColorConstant`
`HANDLE_BG`
The handle background color.
`static final IColorConstant`
`HANDLE_FG`
The handle foreground color.
`static final IColorConstant`
`LIGHT_BLUE`
The "light blue" color.
`static final IColorConstant`
`LIGHT_GRAY`
The "light gray" color.
`static final IColorConstant`
`LIGHT_GREEN`
The "light green" color.
`static final IColorConstant`
`LIGHT_LIGHT_GRAY`
The "light light gray" color.
`static final IColorConstant`
`LIGHT_ORANGE`
The "light orange" color.
`static final IColorConstant`
`ORANGE`
The "orange" color.
`static final IColorConstant`
`RED`
The "red" color.
`static final IColorConstant`
`SHAPE_SELECTION_FG`
The foreground selection color of a shape.
`static final IColorConstant`
`WHITE`
The "white" color.
`static final IColorConstant`
`YELLOW`
The "yellow" color.

## Method Summary

Modifier and Type
Method
Description
`int`
`getBlue()`
Returns the amount of blue in the color, from 0 to 255.
`int`
`getGreen()`
Returns the amount of green in the color, from 0 to 255.
`int`
`getRed()`
Returns the amount of red in the color, from 0 to 255.

## Field Details

### WHITE

static final IColorConstant WHITE
The "white" color.

### LIGHT_LIGHT_GRAY

static final IColorConstant LIGHT_LIGHT_GRAY
The "light light gray" color.

### LIGHT_GRAY

static final IColorConstant LIGHT_GRAY
The "light gray" color.

### GRAY

static final IColorConstant GRAY
The "gray" color.

### DARK_GRAY

static final IColorConstant DARK_GRAY
The "dark gray" color.

### BLACK

static final IColorConstant BLACK
The "black" color.

### RED

static final IColorConstant RED
The "red" color.

### LIGHT_ORANGE

static final IColorConstant LIGHT_ORANGE
The "light orange" color.

### ORANGE

static final IColorConstant ORANGE
The "orange" color.

### DARK_ORANGE

static final IColorConstant DARK_ORANGE
The "dark orange" color.

### YELLOW

static final IColorConstant YELLOW
The "yellow" color.

### GREEN

static final IColorConstant GREEN
The "green" color.

### LIGHT_GREEN

static final IColorConstant LIGHT_GREEN
The "light green" color.

### DARK_GREEN

static final IColorConstant DARK_GREEN
The "dark green" color.

### CYAN

static final IColorConstant CYAN
The "cyan" color.

### LIGHT_BLUE

static final IColorConstant LIGHT_BLUE
The "light blue" color.

### BLUE

static final IColorConstant BLUE
The "blue" color.

### DARK_BLUE

static final IColorConstant DARK_BLUE
The "dark blue" color.

### HANDLE_FG

static final IColorConstant HANDLE_FG
The handle foreground color.

### HANDLE_BG

static final IColorConstant HANDLE_BG
The handle background color.

### SHAPE_SELECTION_FG

static final IColorConstant SHAPE_SELECTION_FG
The foreground selection color of a shape.

### CONNECTION_SELECTION_FG

static final IColorConstant CONNECTION_SELECTION_FG
The foreground selection color of a connection.

## Method Details

### getRed

int getRed()
Returns the amount of red in the color, from 0 to 255.

Returns:
  the red component of the color

### getGreen

int getGreen()
Returns the amount of green in the color, from 0 to 255.

Returns:
  the green component of the color

### getBlue

int getBlue()
Returns the amount of blue in the color, from 0 to 255.

Returns:
  the blue component of the color